Subject: Re: bug#61396: diff mode could distinguish changed from deleted lines

From: Stefan Monnier <[email-masked]>
Date: Wed, 13 Sep 2023 10:51:54 -0400

> Not quite ready indeed: the new option is unused (implied to be t, I guess).

Oops :-)
This said, it's not its only problem: the name of that var sucks as well.

> Just a single piece of feedback: I get where the idea is coming from (and
> it's good in theory), but I'm not loving the added bright spots of color
> where there previously were just toned down lighter backgrounds.

Yeah, I'm unsure about that.  I'm also somewhat annoyed by the extra
attention it brings to those "boring" additions and removals, but I'm
wondering if it's really because I want them to look more dull or if
it's just because of habit.

I have been bitten several times in the past when going through largish
diffs where I overlooked important things in the added/removed parts
because they were colored the same was as the unchanged parts of
changed lines and so I just glossed over them.

> If it were indicated differently somehow (though I'm not sure how), perhaps
> I'd like it more. As it is, though, the added value (quite minor since it's
> easy to see which hunk is "pure addition" already) doesn't seem to balance
> out the inconvenience.

Yeah, maybe I'd prefer colors that are halfway between
`diff-added/removed` and `diff-refine-added/removed`?
[ Wish we had dynamically-computed face colors for that.  ]

        Stefan